Bug 862035 - (CVE-2012-4465) CVE-2012-4465 cgit: specially-crafted commit can trigger a heap-based buffer overflow
CVE-2012-4465 cgit: specially-crafted commit can trigger a heap-based buffer ...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20120510,repo...
: Security
Depends On: 820733 862037
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-01 12:54 EDT by Vincent Danen
Modified: 2016-03-04 06:53 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-04 15:55:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-10-01 12:54:29 EDT
It was reported [1],[2] that cgit suffers from a heap-based buffer overflow flaw that could lead to a denial of service or, possibly (albeit unlikely as the second report indicates), a remote shell.

This has not yet been fixed upstream, but a patch is available [3].

[1] https://bugzilla.redhat.com/show_bug.cgi?id=820733
[2] http://www.openwall.com/lists/oss-security/2012/09/30/1
[3] http://git.zx2c4.com/cgit/commit/?id=7757d1b046ecb67b830151d20715c658867df1ec
Comment 1 Vincent Danen 2012-10-01 12:57:28 EDT
Created cgit tracking bugs for this issue

Affects: epel-all [bug 862037]
Comment 2 Vincent Danen 2012-10-03 16:22:59 EDT
This was assigned the name CVE-2012-4465:

http://www.openwall.com/lists/oss-security/2012/10/03/7

Note You need to log in before you can comment on or make changes to this bug.